> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Api Keys

> List all API keys for the current user.



## OpenAPI

````yaml /api-reference/openapi.json get /api/api-keys
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/api-keys:
    get:
      tags:
        - api-keys
      summary: List Api Keys
      description: List all API keys for the current user.
      operationId: list_api_keys_api_api_keys_get
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiKeyListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ApiKeyRead'
          type: array
          title: Data
      type: object
      required:
        - data
      title: ApiKeyListResponse
      description: List of API keys.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApiKeyRead:
      properties:
        id:
          type: integer
          title: Id
        uuid:
          type: string
          title: Uuid
        name:
          type: string
          title: Name
        key_preview:
          type: string
          title: Key Preview
        scopes:
          items:
            type: string
          type: array
          title: Scopes
        is_active:
          type: boolean
          title: Is Active
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - uuid
        - name
        - key_preview
        - scopes
        - is_active
        - created_at
        - updated_at
      title: ApiKeyRead
      description: API key details (without the actual key).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````